-- 放货箱数与放货率
alter table `ecw_order`
    add column `release_ratio` decimal(5,2) DEFAULT '0.00' COMMENT '放货率';
alter table `ecw_order`
    add column `release_num` int DEFAULT 0 COMMENT '放货箱数';

-- 批量刷新订单放货数量、放货率
update ecw_order t LEFT JOIN (select ccp.order_id , ifnull(sum(ccp.pick_num),0) as releaseNum from ecw_order_cargo_control_pick ccp where
    ccp.status in(1,2,3,4,5,6) group by ccp.order_id) t1 on t.order_id=t1.order_id set t.release_num=t1.releaseNum, t.release_ratio=ROUND(t1.releaseNum/t.sum_num,2)*100;